VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Attributes | Static Public Attributes | List of all members
CSliderBase::Impl Struct Reference

## Public Attributes
SharedPointer< CVSTGUITimer > | rampTimer
int32_t | style {0}
float | zoomFactor {10.f}
CSliderMode | mode {CSliderMode::UseGlobal}
CPoint | offsetHandle
CPoint | handleSize {1., 1.}
CCoord | rangeHandle {0.}
CCoord | minTmp {0.}
CCoord | maxTmp {0.}
CCoord | minPos {0.}
CPoint | meStartPoint
float | mePreviousVal
float | meStartValue
CButtonState | meOldButton
CCoord | meDelta {0.}

## Static Public Attributes
static CSliderMode | globalMode = CSliderMode::FreeClick

## Member Data Documentation

## ◆ globalMode

CSliderMode globalMode = CSliderMode::FreeClick
| static

## ◆ handleSize

CPoint handleSize {1., 1.}

## ◆ maxTmp

CCoord maxTmp {0.}

## ◆ meDelta

CCoord meDelta {0.}

## ◆ meOldButton

CButtonState meOldButton

## ◆ mePreviousVal

float mePreviousVal

## ◆ meStartPoint

CPoint meStartPoint

## ◆ meStartValue

float meStartValue

## ◆ minPos

CCoord minPos {0.}

## ◆ minTmp

CCoord minTmp {0.}

## ◆ mode

CSliderMode mode {CSliderMode::UseGlobal}

## ◆ offsetHandle

CPoint offsetHandle

## ◆ rampTimer

SharedPointer<CVSTGUITimer> rampTimer

## ◆ rangeHandle

CCoord rangeHandle {0.}

## ◆ style

int32_t style {0}

## ◆ zoomFactor

float zoomFactor {10.f}

The documentation for this struct was generated from the following file:

- cslider.cpp